package com.maileon.api;

import javax.ws.rs.core.Response.StatusType;

/**
 * The Class MaileonBadRequestException.
 *
 */
public class MaileonBadRequestException extends MaileonException {

	/**
	 * Instantiates a new Maileon bad request exception.
	 *
	 * @param message the message
	 */
	public MaileonBadRequestException(String message) {
		super(message);
	}

	/**
	 * Instantiates a new Maileon bad request exception.
	 *
	 * @param status the status
	 */
	public MaileonBadRequestException(StatusType status) {
		super(status);
	}

	/**
	 * Instantiates a new maileon bad request exception.
	 *
	 * @param status the status
	 * @param message the message
	 */
	public MaileonBadRequestException(StatusType status, String message) {
		super(status, message);
	}
}
