package com.maileon.api.mailings.checks;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

/**
 * Check result information for individual image
 */
@XmlType(propOrder = {"hosted", "src", "alt", "title", "width", "height"})
public class CheckedImage implements Serializable {

    private boolean hosted;

    private String src;

    private String alt;

    private String title;

    private Integer width;

    private Integer height;

    @XmlElement
    public boolean isHosted() {
        return hosted;
    }

    public void setHosted(boolean hosted) {
        this.hosted = hosted;
    }

    @XmlElement
    public String getSrc() {
        return src;
    }

    public void setSrc(String src) {
        this.src = src;
    }

    @XmlElement
    public String getAlt() {
        return alt;
    }

    public void setAlt(String alt) {
        this.alt = alt;
    }

    @XmlElement
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @XmlElement
    public Integer getWidth() {
        return width;
    }

    public void setWidth(Integer width) {
        this.width = width;
    }

    @XmlElement
    public Integer getHeight() {
        return height;
    }

    public void setHeight(Integer height) {
        this.height = height;
    }

    @Override
    public String toString() {
        return "hosted: " + hosted
                + ", src: " + src
                + ", alt: " + alt
                + ", title: " + title
                + ", width: " + width
                + ", hight: " + height;
    }


}
