package com.maileon.api.mailings.checks;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlType(propOrder = {"hits", "misses", "fallbacks", "type", "occursInConditionalContent",
    "conditionalContentRulesetId", "conditionalContentRuleId", "propertyName", "hasFallbackValue",
    "optionName", "eventType"})
public class PersonalizationInformation implements Serializable {

    private int hits;

    private int misses;

    private int fallbacks;

    private String type;

    private boolean occursInConditionalContent;

    private String conditionalContentRulesetId;

    private String conditionalContentRuleId;

    private String propertyName;

    private String hasFallbackValue;

    private String optionName;

    private String eventType;

    @XmlElement
    public int getHits() {
        return hits;
    }

    public void setHits(int hits) {
        this.hits = hits;
    }

    @XmlElement
    public int getMisses() {
        return misses;
    }

    public void setMisses(int misses) {
        this.misses = misses;
    }

    @XmlElement
    public int getFallbacks() {
        return fallbacks;
    }

    public void setFallbacks(int fallbacks) {
        this.fallbacks = fallbacks;
    }

    @XmlElement
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @XmlElement
    public boolean isOccursInConditionalContent() {
        return occursInConditionalContent;
    }

    public void setOccursInConditionalContent(boolean occursInConditionalContent) {
        this.occursInConditionalContent = occursInConditionalContent;
    }

    @XmlElement
    public String getConditionalContentRulesetId() {
        return conditionalContentRulesetId;
    }

    public void setConditionalContentRulesetId(String conditionalContentRulesetId) {
        this.conditionalContentRulesetId = conditionalContentRulesetId;
    }

    @XmlElement
    public String getConditionalContentRuleId() {
        return conditionalContentRuleId;
    }

    public void setConditionalContentRuleId(String conditionalContentRuleId) {
        this.conditionalContentRuleId = conditionalContentRuleId;
    }

    @XmlElement
    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    @XmlElement
    public String getHasFallbackValue() {
        return hasFallbackValue;
    }

    public void setHasFallbackValue(String hasFallbackValue) {
        this.hasFallbackValue = hasFallbackValue;
    }

    @XmlElement
    public String getOptionName() {
        return optionName;
    }

    public void setOptionName(String optionName) {
        this.optionName = optionName;
    }

    @XmlElement
    public String getEventType() {
        return eventType;
    }

    public void setEventType(String eventType) {
        this.eventType = eventType;
    }

    @Override
    public String toString() {
        return "Personalization{" + "hits=" + hits + ", misses=" + misses + ", fallbacks=" + fallbacks + ", type=" + type + ", occursInConditionalContent=" + occursInConditionalContent + ", conditionalContentRulesetId=" + conditionalContentRulesetId + ", conditionalContentRuleId=" + conditionalContentRuleId + ", propertyName=" + propertyName + ", hasFallbackValue=" + hasFallbackValue + '}';
    }
}
